Subject: Re: association between the time-stamp and the original document

From: J Adrian Pickering <[email-masked]>
Date: Thu, 23 May 2002 14:01:18 +0100

At 12:04 23/05/2002 +0200, you wrote:

>Massimiliano,
>
> > Dear Denis,
>
> > thanks for your patience.  You got my point.
>
> > I am using time stamps in a service of certified
> > mail, where we time stamp e-mail messages, which
> > might not be signed.  At the moment we are sending
> > the original message and the time stamp as two
> > MIME attachments.  We do not like this and would
> > prefer to "attach the data (even not signed)
> > to the timestamp". To do this we would like to
> > insert the whole document in the time stamp,
> > in order to make time stamp verification more
> > robust.
>
>I would not like to place the whole document within the time-stamp.

I support that.

>I would rather prefer to indicate the link with a document that may
>be stored elsewhere in one or several places.

I support that too. Massimiliano has a point with which I have a great deal 
of sympathy. However, I have always accepted that a TSA's job was to stamp 
something it fundamentally could know anything about. This made the 
operation legally simple - no one could ever later suggest that the TSA was 
stamping anything with any (implied) meaning to it. TSP does that.

The duty of keeping the links is therefore the data owners'. No one elses'. 
The hash is actually a very good key to a document depository - it should 
be unique!

Adrian Pickering/
ECS, Southampton, UK